
// Show all schedules using the system sorter
import timemachine.scheduler.*
import timemachine.scheduler.support.*
schedules = scheduler.findSchedules()
Collections.sort(schedules, new ScheduleComparator())
schedules.each{ s ->
  println(s.toString() + ", nextRun: " + s.getNextRun() + ", state: " + s.getState() + ", startTime: " + s.getStartTime()
   + ", runCount: " + s.getRunCount()  + ", missedRunCount: " + s.getMissedRunCount())
}
println("Done: ${schedules.size()} schedules.")